Bug 33509 - Samba uses mktemp
Summary: Samba uses mktemp
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: samba   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-27 22:58 UTC by Will Newton
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 19:10:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:044 normal SHIPPED_LIVE : New samba packages available to fix /tmp races 2001-04-05 04:00:00 UTC

Description Will Newton 2001-03-27 22:58:10 UTC
lib/util.o: In function `smbd_mktemp':
lib/util.o(.text+0x4ee1): the use of `mktemp' is dangerous, better use 
`mkstemp'

Comment 1 Bill Nottingham 2001-03-27 23:01:51 UTC
It wraps it with something to secure it (because mkstemp
isn't portable...)

Comment 2 Andrew Bartlett 2001-05-05 08:29:13 UTC
Samba 2.2.1 will ship with this finally fixed, with mkstemp used where available
and secure.

Comment 3 Bill Nottingham 2001-05-15 21:28:02 UTC
This is fixed in the errata samba releases.


Note You need to log in before you can comment on or make changes to this bug.